# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Summary:	Simplified source filtering
Name:		perl-Filter-Simple
Version:	0.91
Release:	1.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Filter-Simple/
Source0:	http://search.cpan.org/CPAN/authors/id/S/SM/SMUELLER/Filter-Simple-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Filter::Util::Call)
BuildRequires:	perl(parent)
BuildRequires:	perl(Text::Balanced)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
The Filter::Simple module provides a simplified interface to
Filter::Util::Call; one that is sufficient for most common cases.

%prep
%setup -q -n Filter-Simple-%{version}

# Don't attempt to build for distributions where Filter::Simple
# is integrated into the main perl package
if [ -f %{perl_privlib}/Filter/Simple.pm ]; then
	echo "This distribution already has Filter::Simple in the main perl package; aborting build" 1>&2
	exit 1
fi

# Kludge to remove bogus perl dependencies and provides
%global reqfilt /bin/sh -c "%{__perl_requires} | grep -Ev 'perl[(](base|Data::Dumper|DotsForArrows|Regexp::Common)[)]'"
%define __perl_requires %{reqfilt}
%global provfilt /bin/sh -c "%{__perl_provides} | grep -Ev 'perl[(](Demo|DotsForArrows[)]|MyClass[)])'"
%define __perl_provides %{provfilt}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%clean
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README demo/
%{perl_vendorlib}/Filter/
%{_mandir}/man3/Filter::Simple.3pm*

%changelog
* Fri Mar  7 2014 Paul Howarth <paul@city-fan.org> 0.91-1
- Update to 0.91:
  - Various small documentation fixes
  - Swap out base.pm use for parent.pm
- Drop support for old distributions prior to FC-3

* Tue Dec 20 2011 Paul Howarth <paul@city-fan.org> 0.88-1
- Update to 0.88:
  - Make Filter::Simple match variables better (Perl RT#92436)
  - Filter::Simple can't find end of POD (Perl RT#92436)

* Tue Oct 18 2011 Paul Howarth <paul@city-fan.org> 0.87-2
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri May 20 2011 Paul Howarth <paul@city-fan.org> 0.87-1
- Update to 0.87:
  - Port changes from core: whitespace fix that is significant for POD
    correctness
- Nobody else likes macros for commands
- Use %%{_fixperms} macro instead of our own chmod incantation

* Mon Sep  6 2010 Paul Howarth <paul@city-fan.org> 0.85-1
- Update to 0.85:
  - Port changes from core: remove unnecessary PERL_CORE check from tests
- Simplify dist tag macros

* Wed Sep 16 2009 Paul Howarth <paul@city-fan.org> 0.84-1
- Initial RPM package
